org.apache.hadoop.mapred

## Class SplitLocationInfo

- java.lang.Object
- - org.apache.hadoop.mapred.SplitLocationInfo

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class SplitLocationInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitLocationInfo(String location, boolean inMemory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocation()`
    `boolean` | `isInMemory()`
    `boolean` | `isOnDisk()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitLocationInfo

          public SplitLocationInfo(String location,
                                   boolean inMemory)

  - ### Method Detail

    - #### isOnDisk

          public boolean isOnDisk()

    - #### isInMemory

          public boolean isInMemory()

    - #### getLocation

          public String getLocation()

Copyright © 2022 Apache Software Foundation. All rights reserved.